[Varnish] #328: 2.0-beta1 does not compile on OSX 10.4

Varnish varnish-bugs at projects.linpro.no
Mon Sep 22 10:04:06 CEST 2008

#328: 2.0-beta1 does not compile on OSX 10.4
 Reporter:  wichert  |        Type:  defect
   Status:  new      |    Priority:  normal
Milestone:           |   Component:  build 
  Version:  trunk    |    Severity:  normal
 Keywords:           |  
 gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include
 /varnish-build/install/var/varnish"' -g -O2 -MT varnishd-cache_vrt_acl.o
 -MD -MP -MF .deps/varnishd-cache_vrt_acl.Tpo -c -o varnishd-
 cache_vrt_acl.o `test -f 'cache_vrt_acl.c' || echo './'`cache_vrt_acl.c
 In file included from cache.h:52,
                  from cache_vrt_acl.c:39:
 heritage.h:74: error: parse error before 'uid_t'
 heritage.h:74: warning: no semicolon at end of struct or union
 heritage.h:181: error: parse error before '}' token
 make[2]: *** [varnishd-cache_vrt_acl.o] Error 1
 make[1]: *** [install-recursive] Error 1
 make: *** [install-recursive] Error 1

Ticket URL: <http://varnish.projects.linpro.no/ticket/328>
Varnish <http://varnish.projects.linpro.no/>
The Varnish HTTP Accelerator

More information about the varnish-bugs mailing list